using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.OrganisationsManager.Repository;

namespace e_suite.Modules.OrganisationsManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<OrganisationsManagerRepository>().As<IOrganisationsManagerRepository>().InstancePerLifetimeScope();
        builder.RegisterType<OrganisationsManager>().As<IOrganisationsManager>().InstancePerLifetimeScope();
    }
}